commit:     70c965cffe6e5fb1ce968833808b5ac490d964dc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  1 11:52:00 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Apr  1 12:27:29 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70c965cf

dev-python/twine: Bump to 4.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/twine/Manifest           |  1 +
 dev-python/twine/twine-4.0.0.ebuild | 64 +++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/twine/Manifest b/dev-python/twine/Manifest
index 9005a8b2c07d..7fc8a4313b54 100644
--- a/dev-python/twine/Manifest
+++ b/dev-python/twine/Manifest
@@ -1 +1,2 @@
 DIST twine-3.8.0.tar.gz 213157 BLAKE2B 
c7c013a01b0f1f5ec24c76ebfea2c645da07eae0bb816978a37ed95bca4a2193cea627bdddefcd4beaadbe4bd7ee51315b309fbf06555cc75d509bc61578ac7d
 SHA512 
d6ede7241d4825665054811ad657916281426eda6ee88f0e83295b5498876830b6c69284056e409539c792c24ebeb5af2eedf45108261490a72812b9e86e08f2
+DIST twine-4.0.0.tar.gz 214420 BLAKE2B 
0a1dc91ed9308252d5db3825c8b642e015720bfe7a95dd9a92ba347cbf1eedede85b18b9c310fe20322928db8e44f988bffb3845748ce9817ecbd5b521fb25c8
 SHA512 
c97a4315bd2a923979aa3a6cebf826ef022a9e510383f7f1debf941b6eedc47642c999702bdc3377a9740f381ed4dc442a542f02a44e521040cb67fb342e9b7e

diff --git a/dev-python/twine/twine-4.0.0.ebuild 
b/dev-python/twine/twine-4.0.0.ebuild
new file mode 100644
index 000000000000..221c3a9e3dfc
--- /dev/null
+++ b/dev-python/twine/twine-4.0.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Collection of utilities for publishing packages on PyPI"
+HOMEPAGE="
+       https://twine.readthedocs.io/
+       https://github.com/pypa/twine/
+       https://pypi.org/project/twine/
+"
+SRC_URI="https://github.com/pypa/twine/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/colorama-0.4.3[${PYTHON_USEDEP}]
+       >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+       >=dev-python/keyring-15.1[${PYTHON_USEDEP}]
+       >=dev-python/pkginfo-1.8.1[${PYTHON_USEDEP}]
+       >=dev-python/readme_renderer-21.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-toolbelt-0.8.0[${PYTHON_USEDEP}]
+       >=dev-python/rfc3986-1.4.0[${PYTHON_USEDEP}]
+       >=dev-python/rich-12.0.0[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/jaraco-envs[${PYTHON_USEDEP}]
+               dev-python/jaraco-functools[${PYTHON_USEDEP}]
+               dev-python/munch[${PYTHON_USEDEP}]
+               dev-python/portend[${PYTHON_USEDEP}]
+               dev-python/pretend[${PYTHON_USEDEP}]
+               dev-python/pypiserver[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # requires internet
+       rm -f tests/test_integration.py || die
+       # pytest-socket dep relevant only to test_integration, and upstream
+       # disables it anyway
+       sed -i -e '/--disable-socket/d' pytest.ini || die
+       sed -i -e '/--cov/d' pytest.ini || die
+
+       distutils-r1_python_prepare_all
+       export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+}
+
+python_test() {
+       local -x COLUMNS=80
+       epytest
+}

Reply via email to